Bug 6838 - Default config allows anyone to halt/reboot the machine
Default config allows anyone to halt/reboot the machine
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
: 6839 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-08 18:19 EST by Chris Siebenmann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-15 15:02:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Siebenmann 1999-11-08 18:19:01 EST
The default gdm configuration allows anyone in front of
the console to reboot or halt the machine without having
to surrender any sort of password. This is especially
peculiar as, once you log in, you will have to give a
password to do this.

 I believe that the default should be to require the
root password before allowing halt/shutdown.
Comment 1 Preston Brown 1999-11-15 15:02:59 EST
we believe that a user having console access already has more than enough
opportunity to halt or reboot the machine physically.  In the case of a
"cluster" type situation where a network of workstations is installed in a
public area, this can easily be changed via a modified configuration.  However,
the defaults are appropriate in the majority of cases.
Comment 2 Preston Brown 1999-11-15 15:04:59 EST
*** Bug 6839 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.